Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.luntsys.luntbuild.remoting
Class BuildScheduleFacade

    java.lang.Object
      com.luntsys.luntbuild.remoting.BuildScheduleFacade

public class BuildScheduleFacade
extends java.lang.Object

Facade of a luntbuild build schedule. Mainly used by web service client to operate on properties of a build schedule

Field Summary
`static java.lang.String` | `BUILD_ALWAYS`
`static java.lang.String` | `BUILD_ALWAYS_IF_FAILED`
`static java.lang.String` | `BUILD_NONE`
`static java.lang.String` | `BUILD_TYPE_CLEAN`
`static java.lang.String` | `BUILD_TYPE_INCREMENT`
`static java.lang.String` | `BUILD_WHEN_NECESSARY`
`static int` | `FAILED`
`static java.lang.String` | `LABEL_ALWAYS`
`static java.lang.String` | `LABEL_NONE`
`static java.lang.String` | `LABEL_WHEN_SUCCESS`
`static java.lang.String` | `NOTIFY_ALWAYS`
`static java.lang.String` | `NOTIFY_NONE`
`static java.lang.String` | `NOTIFY_WHEN_FAILED`
`static java.lang.String` | `NOTIFY_WHEN_SUCCESS`
`static java.lang.String` | `POSTBUILD_ALWAYS`
`static java.lang.String` | `POSTBUILD_NONE`
`static java.lang.String` | `POSTBUILD_WHEN_FAILED`
`static java.lang.String` | `POSTBUILD_WHEN_SUCCESS`
`static int` | `RUNNING`
`static int` | `SUCCESS`
`static int` | `UNKNOWN`

Constructor Summary
`BuildScheduleFacade()`

Method Summary
`java.lang.String` | `getBuildStrategy()` Get build strategy of this build schedule.
`long` | `getId()` Get id of this build schedule
`java.lang.String` | `getLabelStrategy()` Get label strategy of this build schedule
`java.lang.String` | `getNotifyStrategy()` Get notify strategy of this build schedule
`java.lang.String` | `getPostbuildStrategy()` Get post-build strategy of this build schedule
`int` | `getStatus()` Get status of this build schedule
`java.util.Date` | `getStatusDate()` Get the date when this build schedule get its current status
| `java.lang.String` | `getUrl()` Get url of this build schedule
`boolean` | `isCleanBuild()` Wheter or not this build schedule schedules clean build
`void` | `setBuildStrategy(java.lang.String buildStrategy)` Set build strategy of this build schedule
`void` | `setCleanBuild(boolean cleanBuild)` Set whether or not this build schedules clean build
`void` | `setId(long id)` Set id of this build schedule
`void` | `setLabelStrategy(java.lang.String labelStrategy)` Set label strategy of this build schedule
`void` | `setNotifyStrategy(java.lang.String notifyStrategy)` Set notify strategy of this build
`void` | `setPostbuildStrategy(java.lang.String postbuildStrategy)` Set post-build strategy of this build schedule
`void` | `setStatus(int status)` Set status of this build schedule
`void` | `setStatusDate(java.util.Date statusDate)` Set date when this build schedule get its current status
`void` | `setUrl(java.lang.String url)` Set url of this build schedule

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### SUCCESS

    public static final int SUCCESS

See Also:
  Constant Field Values

### FAILED

    public static final int FAILED

See Also:
  Constant Field Values

### RUNNING

    public static final int RUNNING

See Also:
  Constant Field Values

### BUILD_TYPE_CLEAN

    public static final java.lang.String BUILD_TYPE_CLEAN

See Also:
  Constant Field Values

### BUILD_TYPE_INCREMENT

    public static final java.lang.String BUILD_TYPE_INCREMENT

See Also:
  Constant Field Values

### BUILD_WHEN_NECESSARY

    public static final java.lang.String BUILD_WHEN_NECESSARY

See Also:
  Constant Field Values

### BUILD_ALWAYS_IF_FAILED

    public static final java.lang.String BUILD_ALWAYS_IF_FAILED

See Also:
  Constant Field Values

### BUILD_ALWAYS

    public static final java.ang.String BUILD_ALWAYS

See Also:
  Constant Field Values

### BUILD_NONE

    public static final java.lang.String BUILD_NONE

See Also:
  Constant Field Values

### LABEL_WHEN_SUCCESS

    public static final java.lang.String LABEL_WHEN_SUCCESS

See Also:
  Constant Field Values

### LABEL_NONE

    public static final java.lang.String LABEL_NONE

See Also:
  Constant Field Values

### LABEL_ALWAYS

    public static final java.lang.String LABEL_ALWAYS

See Also:
  Constant Field Values

### NOTIFY_WHEN_SUCCESS

    public static final java.lang.String NOTIFY_WHEN_SUCCESS

See Also:
  Constant Field Values

### NOTIFY_WHEN_FAILED

    public static final java.lang.String NOTIFY_WHEN_FAILED

See Also:
  Constant Field Values

### NOTIFY_NONE

    public static final java.lang.String NOTIFY_NONE

See Also:
  Constant Field Values

### NOTIFY_ALWAYS

    public static final java.lang.String NOTIFY_ALWAYS

See Also:
  Constant Field Values

### POSTBUILD_NONE

    public static final java.lang.String POSTBUILD_NONE

See Also:
  Constant Field Values

### POSTBUILD_WHEN_SUCCESS

    public static final java.lang.String POSTBUILD_WHEN_SUCCESS

See Also:
  Constant Field Values

### POSTBUILD_WHEN_FAILED

    public static final java.lang.String POSTBUILD_WHEN_FAILED

See Also:
  Constant Field Values

### POSTBUILD_ALWAYS

    public static final java.lang.String POSTBUILD_ALWAYS

See Also:
  Constant Field Values

Constructor Detail

### BuildScheduleFacade

    public BuildScheduleFacade()

Method Detail

### getId

    public long getId()

  Get id of this build schedule

  Returns:
    id of this build schedule

### setId

    public void setId(long id)

  Set id of this build schedule

  Parameters:
    `id` -

### isCleanBuild

    public boolean isCleanBuild()

  Wheter or not this build schedule schedules clean build

  Returns:
    boolean value

### setCleanBuild

    public void setCleanBuild(boolean cleanBuild)

  Set whether or not this build schedules clean build

  Parameters:
    `cleanBuild` -

### getBuildStrategy

    public java.lang.String getBuildStrategy()

  Get build strategy of this build schedule.

  Returns:
    one of the value of `BUILD_ALWAYS`, `BUILD_ALWAYS_IF_FAILED`, `BUILD_NONE`, `BUILD_WHEN_NECESSARY`

### setBuildStrategy

    public void setBuildStrategy(java.lang.String buildStrategy)

  Set build strategy of this build schedule

  Parameters:
    `buildStrategy` - one of the value of `BUILD_ALWAYS`, `BUILD_ALWAYS_IF_FAILED`, `BUILD_NONE`, `BUILD_WHEN_NECESSARY`

### getLabelStrategy

    public java.lang.String getLabelStrategy()

  Get label strategy of this build schedule

  Returns:
    one of the value of `LABEL_ALWAYS`, `LABEL_NONE`, `LABEL_WHEN_SUCCESS`

### setLabelStrategy

    public void setLabelStrategy(java.lang.String labelStrategy)

  Set label strategy of this build schedule

  Parameters:
    `labelStrategy` - one of the value of `LABEL_ALWAYS`, `LABEL_NONE`, `LABEL_WHEN_SUCCESS`

### getNotifyStrategy

    public java.lang.String getNotifyStrategy()

  Get notify strategy of this build schedule

  Returns:
    one of the value of `NOTIFY_ALWAYS`, `NOTIFY_NONE`, `NOTIFY_WHEN_FAILED`, `NOTIFY_WHEN_SUCCESS`

### setNotifyStrategy

    public void setNotifyStrategy(java.lang.String notifyStrategy)

  Set notify strategy of this build

  Parameters:
    `notifyStrategy` -

### getStatus

    public int getStatus()

  Get status of this build schedule

  Returns:
    one of the value of `FAILED`, `RUNNING`, `UNKNOWN`, `SUCCESS`

### setStatus

    public void setStatus(int status)

  Set status of this build schedule

  Parameters:
    `status` - one of the value of `FAILED`, `RUNNING`, `UNKNOWN`, `SUCCESS`

### getStatusDate

    public java.util.Date getStatusDate()

  Get the date when this build schedule get its current status

  Returns:
    date when current status occurs

### setStatusDate

    public void setStatusDate(java.util.Date statusDate)

  Set date when this build schedule get its current status

  Parameters:
    `statusDate` -

### getUrl

    public java.lang.String getUrl()

  Get url of this build schedule

  Returns:
    url of this build schedule

### setUrl

    public void setUrl(java.lang.String url)

  Set url of this build schedule

  Parameters:
    `url` -

### getPostbuildStrategy

    public java.lang.String getPostbuildStrategy()

  Get post-build strategy of this build schedule

  Returns:
    one of the value of `POSTBUILD_ALWAYS`, `POSTBUILD_NONE`, `POSTBUILD_WHEN_FAILED`, `POSTBUILD_WHEN_SUCCESS`

### setPostbuildStrategy

    public void setPostbuildStrategy(java.lang.String postbuildStrategy)

  Set post-build strategy of this build schedule

  Parameters:
    `postbuildStrategy` - one of the value of `POSTBUILD_ALWAYS`, `POSTBUILD_NONE`, `POSTBUILD_WHEN_FAILED`, `POSTBUILD_WHEN_SUCCESS`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Luntsys Corp. All Rights Reserved.